package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbMaterialDemo;

/**
 * 材料样例Service接口
 * 
 * @author ruoyi
 * @date 2022-08-31
 */
public interface ITbMaterialDemoService 
{
    public List<TbMaterialDemo> queryAll();
    /**
     * 查询材料样例
     * 
     * @param id 材料样例主键
     * @return 材料样例
     */
    public TbMaterialDemo selectTbMaterialDemoById(Long id);

    /**
     * 查询材料样例列表
     * 
     * @param tbMaterialDemo 材料样例
     * @return 材料样例集合
     */
    public List<TbMaterialDemo> selectTbMaterialDemoList(TbMaterialDemo tbMaterialDemo);

    public List<TbMaterialDemo> selectMaterialDemoNotPassList(TbMaterialDemo tbMaterialDemo);

    /**
     * 新增材料样例
     * 
     * @param tbMaterialDemo 材料样例
     * @return 结果
     */
    public int insertTbMaterialDemo(TbMaterialDemo tbMaterialDemo);

    /**
     * 修改材料样例
     * 
     * @param tbMaterialDemo 材料样例
     * @return 结果
     */
    public int updateTbMaterialDemo(TbMaterialDemo tbMaterialDemo);
    public int updateCheckStatus(TbMaterialDemo tbMaterialDemo);

    /**
     * 批量删除材料样例
     * 
     * @param ids 需要删除的材料样例主键集合
     * @return 结果
     */
    public int deleteTbMaterialDemoByIds(String ids);

    /**
     * 删除材料样例信息
     * 
     * @param id 材料样例主键
     * @return 结果
     */
    public int deleteTbMaterialDemoById(Long id);
}
